## org.eclipse.emf.ecoretools.diagram.navigator
Class EcoreNavigatorLinkHelper

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.navigator.EcoreNavigatorLinkHelper

All Implemented Interfaces:
  org.eclipse.ui.navigator.ILinkHelper

    public class EcoreNavigatorLinkHelper

extends java.lang.Object
implements org.eclipse.ui.navigator.ILinkHelper

Constructor Summary
`EcoreNavigatorLinkHelper()`

Method Summary
`void` `activateEditor(org.eclipse.ui.IWorkbenchPage aPage, org.eclipse.jface.viewers.IStructuredSelection aSelection)`
`org.eclipse.jface.viewers.IStructuredSelection` `findSelection(org.eclipse.ui.IEditorInput anInput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreNavigatorLinkHelper

    public EcoreNavigatorLinkHelper()

Method Detail

### findSelection

    public org.eclipse.jface.viewers.IStructuredSelection findSelection(org.eclipse.ui.IEditorInput anInput)

  Specified by:
    `findSelection` in interface `org.eclipse.ui.navigator.ILinkHelper`

### activateEditor

    public void activateEditor(org.eclipse.ui.IWorkbenchPage aPage,
                               org.eclipse.jface.viewers.IStructuredSelection aSelection)

  Specified by:
    `activateEditor` in interface `org.eclipse.ui.navigator.ILinkHelper`

Copyright 2007 Anyware Technologies. All Rights Reserved.